## org.apache.lucene.demo.facet
Class AssociationsFacetsExample

    java.lang.Object
      org.apache.lucene.demo.facet.AssociationsFacetsExample

    public class AssociationsFacetsExample

extends Object

Shows example usage of category associations.

Field Summary
`static CategoryAssociation[][]` `ASSOCIATIONS` Association values for each category.
`static CategoryPath[][]` `CATEGORIES` Categories per document, `ASSOCIATIONS` hold the association value for each category.

Constructor Summary
`AssociationsFacetsExample()` Empty constructor

Method Summary
`static void` `main(String[] args)` Runs the sum int/float associations examples and prints the results.
`List<FacetResult>` `runSumAssociations()` Runs summing association example.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORIES

    public static CategoryPath[][] CATEGORIES

  Categories per document, `ASSOCIATIONS` hold the association value for each category.

### ASSOCIATIONS

    public static CategoryAssociation[][] ASSOCIATIONS

  Association values for each category.

Constructor Detail

### AssociationsFacetsExample

    public AssociationsFacetsExample()

  Empty constructor

Method Detail

### runSumAssociations

    public List<FacetResult> runSumAssociations()
                                         throws IOException

  Runs summing association example.

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Runs the sum int/float associations examples and prints the results.

  Throws:
    `Exception`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.